providers:
  - id: jiaotailang
    name: Jiaotailang
    base_url: https://new.145678.xyz/v1
    api_key_env: JIAOTAILANG_API_KEY
    models:
      - gpt-5.4
      - gpt-5.4-mini
      - gpt-5.3-codex
    aliases:
      jt-gpt54: gpt-5.4
      jt-mini: gpt-5.4-mini
      jt-codex: gpt-5.3-codex
    tags:
      - candidate
      - test

  - id: jlypx
    name: Jlypx
    base_url: https://betterclau.de/openai/sub.jlypx.de/v1
    api_key_env: JLYPX_API_KEY
    models:
      - gpt-5.4-mini
      - gpt-5.4
    aliases:
      jlypx-mini: gpt-5.4-mini
      jlypx-gpt54: gpt-5.4
    tags:
      - configured-in-openclaw
      - candidate

  - id: anyrouter
    name: AnyRouter
    base_url: https://anyrouter.top/v1
    api_key_env: ANYROUTER_API_KEY
    models:
      - anyrouter/claude-opus-4-6-1m
    aliases:
      opus1m: anyrouter/claude-opus-4-6-1m
    tags:
      - configured-in-openclaw
      - candidate

  - id: openrouter
    name: OpenRouter
    base_url: https://openrouter.ai/api/v1
    api_key_env: OPENROUTER_API_KEY
    models:
      - openrouter/auto
      - openrouter/google/gemini-2.5-pro
    aliases:
      auto: openrouter/auto
      gemini25: openrouter/google/gemini-2.5-pro
    tags:
      - reference
      - stable
      - skip-health-check

  - id: volcengine
    name: Volcengine
    base_url: https://ark.cn-beijing.volces.com/api/v3
    api_key_env: ARK_API_KEY
    models:
      - volcengine/glm-4.7
    aliases:
      volc: volcengine/glm-4.7
    tags:
      - configured-in-openclaw
